Bug Hunting Session
Bug 43438 - EDITING: Rearranging Chapters Using the Navigator does not Work with Documents which are Opened Read-only
Summary: EDITING: Rearranging Chapters Using the Navigator does not Work with Document...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: low minor
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Navigator Read-Only
  Show dependency treegraph
 
Reported: 2011-12-01 14:29 UTC by Harald Koester
Modified: 2019-04-08 21:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (14.17 KB, application/vnd.oasis.opendocument.text)
2012-07-26 12:51 UTC, Harald Koester
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2011-12-01 14:29:36 UTC
Problem description: 

It is not possible to rearrange chapters of a document which is opened as read-only file with the Navigator under the following conditions:

(1) a) Open the document, b) the Navigator is already visible (state of last session), c) click "Edit File" icon.

(2) a) Open the document, b) the Navigator is hided (state of last session), c) click "Edit File" icon, d) "Show" Navigator.

(3) a) Open the document, b) the Navigator is hided (state of last session), c) "Show" Navigator, c) click "Edit File" icon.

(4) a) Open the document, b) the Navigator is closed (state of last session), c) open Navigator (F5), d) click "Edit File" icon.

In these 4 cases the 4 icons in the right corner of the Navigator are grayed and can't be used. If you close the Navigator (F5) and open it again (F5) rearranging chapters is possible. Simple but you have to know.

If you open the Navigator in case 4 after clicking the "Edit File" icon, rearranging of chapters is also possible.

Regards
Harald

              
Browser: Mozilla/5.0 (Windows; U; Windows NT 5.1; de; rv:1.9.2.24) Gecko/20111103 Firefox/3.6.24
Comment 1 Harald Koester 2012-01-31 04:29:07 UTC
Rearranging chpaters is also possible if you click "Content View" in the Navigator. Also simple but you have to know.
Comment 2 bfoman (inactive) 2012-07-09 12:12:38 UTC
Could you attach any example documents to allow others to check on different
system/build?
Comment 3 Harald Koester 2012-07-26 12:51:54 UTC
Created attachment 64728 [details]
Example file

Just open the example document and follow the steps described inside.
Comment 4 Joel Madero 2012-09-07 20:44:55 UTC
Confirmed, it's not consistent and closing then reopening navigator changes the behavior. Setting as NEW, Prioritizing, Assigning to myself
Comment 5 Joel Madero 2012-09-09 16:10:02 UTC
With the latest alpha release I'm unable to reproduce this. The navigator is grayed out always (I tried closing and reopening several times) and it's always grayed out (which is what is expected for a read-only file). I'm going to mark as RESOLVED. If when the next release comes out you still see the problem please reopen it, apologies for the confusion.

Version 3.7.0.0.alpha0+ (Build ID: 711958d)
Comment 6 Harald Koester 2012-11-26 22:18:10 UTC
Hi Joel,

I again checked the bug with Master (4.0.0.0.alpha1+, 2012-11-26). The bug still exists. Could it be, that you forgot to click "Edit File". After clicking, the buttons are still greyed and it is not possible to rearrange the chapters.
Comment 7 Joel Madero 2012-11-26 23:34:21 UTC
marked as UNCONFIRMED until I get another chance to test out. Thanks for the update :)
Comment 8 Joel Madero 2013-05-15 05:08:40 UTC
Okay so definitely still verified - sorry for the long delay. So here it goes:

Thank you for reporting this issue! I have been able to confirm the issue on:
Version 3.6.6.2 & on
Version: 4.1 master pulled Wed May 8 18:48:38 2013 +0200  
Platform: Bodhi Linux 2.2 x64
+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 

Marking as:

New (confirmed)
Minor - doesn't prevent high quality work, workaround is just to close and reopen navigator
Low - only happens in very rare circumstances, in 17 months no additional dupes or comments from other people outside of triagers and OP

Keywords - 

Whiteboard Status - ProposedEasyHack

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + 
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 9 Robinson Tryon (qubit) 2013-10-19 01:01:41 UTC Comment hidden (obsolete)
Comment 10 Joel Madero 2014-02-27 23:03:32 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 11 Harald Koester 2015-01-13 09:19:30 UTC
Checked again with versions 4.3.5 and 4.4.0.2 (RC2). Bug still exists in both versions.
Comment 12 Robinson Tryon (qubit) 2015-12-13 11:20:56 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2017-01-03 19:49:23 UTC Comment hidden (obsolete)
Comment 14 Harald Koester 2017-02-20 14:18:54 UTC
Bug still exists in version 5.3.0. (Win7)
Bug already exists in version 3.3.0. Hence inherited from OOo.
Comment 15 QA Administrators 2018-07-02 02:36:39 UTC Comment hidden (obsolete)
Comment 16 Harald Koester 2018-07-04 12:42:19 UTC
Bug still exists with version 6.0.5 (64 bit, Win10).
Comment 17 Mike Kaganski 2018-07-05 05:34:54 UTC
https://gerrit.libreoffice.org/56985
Comment 18 Commit Notification 2018-07-05 07:19:48 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44c0d38a06cd5ab765facef3242e2c0e3e7944b4

tdf#43438: SwContentTree: handle ModeChanged notification

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Harald Koester 2019-04-08 21:23:27 UTC
Checked with version 6.2.2. Works as expected now. Thanks for fixing.